require 'test_helper'

class NavigationTest < ActionDispatch::IntegrationTest
  def setup
    Rails.cache.clear
  end

  test "it serves the file from external server" do
    url = 'http://example.com'
    content = 'hello world'
    stub_request(:get, url).to_return(body: content, status: 200)

    get '/amazon_s3_index_proxy'
    assert_equal 200, status
    assert_includes body, content
  end
end

